cd "$(git rev-parse --show-toplevel)"

CFLAGS="$CFLAGS -std=c11 -pedantic -Wall -Wextra"
CFLAGS="$CFLAGS -fsanitize=address,undefined"
CFLAGS="$CFLAGS -O0 -ggdb"

mkdir -p build

# Build library
clang $CFLAGS -Ilib -c lib/parser.c -o build/parser.o
ar -crs build/lib.a build/parser.o

# Build tests
clang $CFLAGS -Itests -c tests/testing.c -o build/testing.o
clang $CFLAGS -Ilib -Itests -o build/parser_tests \
	  tests/parser_tests.c build/testing.o build/lib.a
